Package: org.codehaus.groovy

## [Java] Class GroovyException

- org.codehaus.groovy.GroovyException

- All Implemented Interfaces and Traits:
    GroovyExceptionInterface

      public class GroovyException
      extends Exception
      implements GroovyExceptionInterface

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyException()`
    `GroovyException(String message)`
    `GroovyException(String message, Throwable cause)`
    `GroovyException(boolean fatal)`
    `GroovyException(String message, boolean fatal)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `isFatal()`
    `` | `public void` | `setFatal(boolean fatal)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Exception` | `addSuppressed, equals, fillInStackTrace, getCause, getClass, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, hashCode, initCause, notify, notifyAll, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public GroovyException()

    - #### public GroovyException(String message)

    - #### public GroovyException(String message, Throwable cause)

    - #### public GroovyException(boolean fatal)

    - #### public GroovyException(String message, boolean fatal)

  - ### Method Detail

    - #### @Override
      public boolean isFatal()

    - #### @Override
      public void setFatal(boolean fatal)